dopewars (1.5.12-16) unstable; urgency=medium

  * Team upload.
  * Make dh_fixperms override arch only.
    Fixes FTBFS when only building the arch-indep target.
    Thanks to Andreas Beckmann for the report. (Closes: #804306)

 -- Markus Koschany <apo@debian.org>  Sat, 07 Nov 2015 14:47:15 +0100

dopewars (1.5.12-15) unstable; urgency=medium

  * Team upload.
  * Update dopewars.menu. Add icon entries.
  * Add and install dopewars.xpm icon. (Closes: #726217)
  * Update dopewars.desktop.patch.
     - Add keywords.
     - Remove deprecated category Applications.
  * Use canonical VCS-fields.
  * Declare compliance with Debian Policy 3.9.6.

 -- Markus Koschany <apo@debian.org>  Thu, 05 Nov 2015 22:41:38 +0100

dopewars (1.5.12-14) unstable; urgency=low

  * Team upload.
  * properly find the default automake path instead of hardcoding it
    Closes: #713188

 -- Evgeni Golov <evgeni@debian.org>  Fri, 06 Sep 2013 18:49:39 +0200

dopewars (1.5.12-13) unstable; urgency=low

  * Created quilt patches for locally changed files and reverted
    the changed files to their source originals.
  * Add patch to remove the libtool macro's to stop the libtool
    version mismatch error when using dh-autoreconf.
  * Removed executable permission from the patch files.
  * Bump compat to 9 to automatically get hardening buildflags.
  * Add patches to fix two -Werror=format-security errors.
  * Add my self to Uploaders. (Closes: #657575)
  * Bump Standards-Version to 3.9.3 with out change.
  * Modify the Build-depends for the simplified rules file and
    autoreconf.
  * Rewrite with a simplified debhelper v9 rules file.
    (Closes: #643097)
  * Use 'clean' to remove unnecessary files.
  * Install files with *.install files now we are using a simplified
    rules file.
  * Install the manpage with dopewars.manpages.
  * Add a patch to correct the path to the score file in the manpage.
    (Closes: #642073)
  * Tidied formatting with wrap-and-sort -s.

 -- Dean Evans <dean@codemonkies.net>  Mon, 12 Mar 2012 19:57:31 +1300

dopewars (1.5.12-12) unstable; urgency=low

  * Remove myself from the uploaders field
  * Remove unnecessary breaks/replaces from debian/control

 -- Francois Marier <francois@debian.org>  Sat, 12 Mar 2011 12:50:26 +1300

dopewars (1.5.12-11) unstable; urgency=low

  * Remove old conflicts on suidmanager
  * Replace Conflicts/Replaces with Breaks/Replaces (lintian notice)
  * Add a doc-base entry for the dopewars manual

  * Bump Standards-Version up to 3.9.1
  * Bump debhelper compatibility to 8

 -- Francois Marier <francois@debian.org>  Wed, 22 Dec 2010 16:04:52 +1300

dopewars (1.5.12-10) unstable; urgency=low

  * Bump Standards-Version to 3.8.4
  * Add dependency on ${misc:Depends}

  * Switch to 3.0 (quilt) source format
  * Remove dpatch
  * Convert patches to DEP-3

 -- Francois Marier <francois@debian.org>  Thu, 11 Feb 2010 09:28:22 +1300

dopewars (1.5.12-9) unstable; urgency=high

  * Fix a denial of service (CVE-2009-3591, closes: #550913)
  * debian/control: bump Standards-Version to 3.8.3
  * Add a README.source referring to the dpatch README

 -- Francois Marier <francois@debian.org>  Sat, 07 Nov 2009 16:53:46 +1300

dopewars (1.5.12-8) unstable; urgency=low

  * Add patch fixing buy/sell quantities (closes: #526235)
  * Improve short description of package
  * debian/control: switch VCS from svn to git
  * debian/control: bump Standards-Version to 3.8.2
  * debian/copyright: refer to GPL-2 directly
  * Bump debhelper compatibility to 7: use dh_prep and remove dh_desktop

 -- Francois Marier <francois@debian.org>  Mon, 29 Jun 2009 00:10:49 +1200

dopewars (1.5.12-7) unstable; urgency=medium

  * Create the score file in the postinst only if it doesn't already exist.
    This preserves the scores between upgrades (hence the urgency) and
    fixes the md5sums problem (closes: #222846)
  * Remove linda and lintian override files
  * Bump Standards-Version up to 3.8.0 (no other changes)

 -- Francois Marier <francois@debian.org>  Tue, 17 Jun 2008 15:05:50 +1200

dopewars (1.5.12-6) unstable; urgency=low

  * Switch to collaborative maintenance with the Games Team
    (update vcs, maintainer and uploader fields)

 -- Francois Marier <francois@debian.org>  Sat, 26 Apr 2008 15:01:17 +1200

dopewars (1.5.12-5) unstable; urgency=low

  * debian/rules: add call to dh_desktop
  * Add a new modern drug to the game (closes: #469032)

 -- Francois Marier <francois@debian.org>  Mon, 21 Apr 2008 23:09:03 +1200

dopewars (1.5.12-4) unstable; urgency=low

  * Add pulseaudio-esound-compat as an alternative to esound
  * Move the menu file to the right place
  * Remove Encoding from the desktop file
  * Make a dopewars-data package for arch-independent files

 -- Francois Marier <francois@debian.org>  Tue, 26 Feb 2008 16:55:27 +1300

dopewars (1.5.12-3) unstable; urgency=low

  * Add the homepage and VCS fields to debian/control
  * Bump Standards-Version to 3.7.3 and debhelper compatibility to 6
  * Update the watch file to point to sf.net and add a dversionmangle
    option (closes: #449851)
  * Fix the typo in the download URL in debian/copyright
  * Sync fr_CA.po with Rosetta
    (http://translations.launchpad.net/ubuntu/breezy/+source/dopewars/+p
    ots/dopewars/fr_CA/)
  * Add "esound" to the recommends list and make a note in README.Debian
    (closes: #412411)
  * New German translation from upstream svn
  * Check for the existence of the Makefile in debian/rules
  * Remove rpath from the binaries

 -- Francois Marier <francois@debian.org>  Tue, 05 Feb 2008 15:19:18 +1300

dopewars (1.5.12-2) unstable; urgency=low

  * Set the default web browser to sensible-browser
  * Remove the misc:depends dependencies

 -- Francois Marier <francois@debian.org>  Thu, 19 Jan 2006 00:30:22 -0500

dopewars (1.5.12-1) unstable; urgency=low

  * New upstream release (closes: #336347)

 -- Francois Marier <francois@debian.org>  Wed,  4 Jan 2006 23:30:06 -0500

dopewars (1.5.10-4) unstable; urgency=low

  * Bump Standards-Version up to 3.6.2 (no changes)
  * Fix FSF address
  * Fix watch file

 -- Francois Marier <francois@debian.org>  Sat, 26 Nov 2005 00:19:06 -0500

dopewars (1.5.10-3) unstable; urgency=low

  * Update german translation (closes: #314129)
  * Add watch file
  * Rename menu to dopewars.menu

 -- Francois Marier <francois@debian.org>  Sun, 19 Jun 2005 22:06:36 -0400

dopewars (1.5.10-2) unstable; urgency=medium

  * Fixed a lintian warning
  * Cleaned-up acinclude.m4 and ran autoreconf (Closes: #279288)

 -- Francois Marier <francois@debian.org>  Fri,  5 Nov 2004 01:23:14 -0500

dopewars (1.5.10-1) unstable; urgency=high

  * New upstream version:
    - Fixed a server DOS
    - Fixed some minor bugs in the text-mode client
  * Updated upstream's email address
  * Updated fr_CA translation

 -- Francois Marier <francois@debian.org>  Fri, 29 Oct 2004 20:33:56 -0400

dopewars (1.5.9-6) unstable; urgency=medium

  * Cleaned-up acinclude.m4 and reran the autotools (Closes: #246513)
    Thanks to Luk Claes for his help!
  * Removed the automake and autoconf build dependencies

 -- Francois Marier <francois@debian.org>  Wed,  9 Jun 2004 15:09:27 -0400

dopewars (1.5.9-5) unstable; urgency=medium

  * Added libaudiofile-dev build dependency to fix a buildd warning
  * Reran the autotools using automake1.8 this time, this will hopefully
    fix the build problem on arm (Closes: #246513)

 -- Francois Marier <francois@debian.org>  Sun, 16 May 2004 03:00:51 -0400

dopewars (1.5.9-4) unstable; urgency=medium

  * Hopefuly really fix the problem on arm this time by adding automake
    and autoconf to the build dependencies
  * Create the high score file properly on a new install
  * Added lintian and linda override files for the score file permissions

 -- Francois Marier <francois@debian.org>  Fri, 30 Apr 2004 14:09:38 -0400

dopewars (1.5.9-3) unstable; urgency=low

  * Re-ran the autotools to fix configure problem on arm (Closes: #246513)

 -- Francois Marier <francois@debian.org>  Thu, 29 Apr 2004 13:22:07 -0400

dopewars (1.5.9-2) unstable; urgency=low

  * Changed maintainer's email address
  * Minor fixes to the copyright file
  * Removed the TODO file from /usr/share/doc/dopewars
    (users have no use for it, developers can see it in the source package)
  * Bump Standards-Version up to 3.6.1 (no changes required)
  * Re-ran libtoolize as per bug #242950
  * Replaced out-of-date "fr" translation by a new "fr_CA" translation
  * Only set the group of the binary (that's what gnome-games do)

 -- Francois Marier <francois@debian.org>  Thu, 29 Apr 2004 02:27:05 -0400

dopewars (1.5.9-1) unstable; urgency=high

  * New maintainer, thanks for your great work Michael!
  * Acknowledging my previous NMUs
    (Closes: #183336, #161704, #161705, #190300, #190299)
  * New upstream release (Closes: #199558):
    - Mostly a bug fix release
    - Upstream refreshed autoconf files and that will hopefully fix
      the build problems on mips and mipsel (Closes: #192319)
  * Bump Standards-Version up to 3.5.10 (no changes required)

 -- Francois Marier <francois@debian.org>  Sun,  6 Jul 2003 23:03:17 -0700

dopewars (1.5.8-0.1) unstable; urgency=medium

  * NMU
  * New upstream release (Closes: #183336, #161704)
     - GTK+ 2.0
     - Full Unicode support
     - Sound effects
  * Bump Standards-Version up to 3.5.9
  * Necessary changes to the build depends to accomodate GTK+ 2.0
  * Removed the /usr/doc symmlink from postinst
  * Updated the website link in debian/copyright
  * Moved the score file from /var/games/dopewars to /var/games
  * Remove /var/games/dopewars.sco* on purge (Closes: #161705)
  * Documentation (Closes: #190299) and GNOME menu entry (Closes: #190300)
    are now in the right place
  * debian/compat now sets debconf compatibility to version 4
  * debian/rules now updates config.sub and config.guess automatically
  * debian/rules now sets the target architecture properly

 -- Francois Marier <francois@debian.org>  Wed, 23 Apr 2003 04:49:01 -0400

dopewars (1.5.7-1) unstable; urgency=low

  * New upstream release (Closes: #158776)
  * Deleted README.debian (Closes: #136391)

 -- Michael D. Ivey <ivey@debian.org>  Thu, 12 Sep 2002 16:15:08 +0000

dopewars (1.5.3-4) unstable; urgency=high

  * Added patch to fix high score conversion problem on PPC (Closes: #136203)
  * Added patch to fix 'Run Away' crashes on PPC (Closes: #136242)
  * Thanks to Brian Campbell for both patches

 -- Michael D. Ivey <ivey@debian.org>  Thu, 28 Feb 2002 22:37:52 +0000

dopewars (1.5.3-3) unstable; urgency=high

  * Fixed problem with building when not root (Closes: #135927)

 -- Michael D. Ivey <ivey@debian.org>  Tue, 26 Feb 2002 17:59:33 +0000

dopewars (1.5.3-2) unstable; urgency=low

  * Fix build-depends (Closes: #135553)

 -- Michael D. Ivey <ivey@debian.org>  Mon, 25 Feb 2002 04:42:57 +0000

dopewars (1.5.3-1) unstable; urgency=low

  * New upstream release (Closes: #118154)

 -- Michael D. Ivey <ivey@debian.org>  Fri, 22 Feb 2002 21:50:55 +0000

dopewars (1.5.2-1) unstable; urgency=low

  * New upstream release
  * User reports that this fixes the segfault (Closes: #115683)

 -- michael d. ivey <ivey@debian.org>  Thu, 18 Oct 2001 14:39:22 +0000

dopewars (1.5.1-1) unstable; urgency=low

  * New upstream release (Closes: Bug#113165)

 -- michael d. ivey <ivey@debian.org>  Fri, 28 Sep 2001 18:39:30 +0000

dopewars (1.5.0-3) unstable; urgency=low

  * Added build-depends (Closes: Bug#102501)

 -- michael d. ivey <ivey@debian.org>  Tue, 17 Jul 2001 15:55:06 +0000

dopewars (1.5.0-2) unstable; urgency=low

  * Changed arch to any (Closes: #99650)
  * Added menus (Closes: #99775) ... thanks to Jeronimo Pellegrini
    for taking the time to send a patch

 -- michael d. ivey <ivey@debian.org>  Mon,  4 Jun 2001 14:28:24 +0000

dopewars (1.5.0-1) unstable; urgency=low

  * New upstream release

 -- michael d. ivey <ivey@debian.org>  Wed, 30 May 2001 22:36:11 +0000

dopewars (1.4.8-5) unstable; urgency=low

  * New maintainer

 -- michael d. ivey <ivey@debian.org>  Thu, 10 May 2001 18:31:47 +0000

dopewars (1.4.8-4) unstable; urgency=low

  * Fix md5 problem in dsc file.

 -- Shane Wegner <shane@cm.nu>  Sun, 11 Feb 2001 14:09:17 -0800

dopewars (1.4.8-3) unstable; urgency=low

  * Remove suidregister code.
  * Add debhelper to Build-Depends.
  * Include AUTHORS file in docs.

 -- Shane Wegner <shane@cm.nu>  Wed, 17 Jan 2001 13:47:29 -0800

dopewars (1.4.8-2) unstable; urgency=low

  * Move dopewars binary to /usr/games per debian policy.

 -- Shane Wegner <shane@cm.nu>  Tue, 16 Jan 2001 09:48:54 -0800

dopewars (1.4.8-1) unstable; urgency=low

  * New upstream version.
  * Standards version 3.2.1.
  * Change priority to extra.

 -- Shane Wegner <shane@cm.nu>  Mon, 15 Jan 2001 13:35:29 -0800

dopewars (1.4.7-1) unstable; urgency=low

  * Initial Release.

 -- Shane Wegner <shane@cm.nu>  Mon, 17 Jan 2000 22:35:06 -0800
